# How To Install & Run Pryzm Pricefeeder

**Install Docker & Docker Compose**

Followed this Link

> [Install Docker](https://www.digitalocean.com/community/tutorials/how-to-install-and-use-docker-on-ubuntu-22-04)

> [Install Docker Compose](https://www.digitalocean.com/community/tutorials/how-to-install-and-use-docker-compose-on-ubuntu-22-04)

**Download Your Pricefeeder resource**

```
cd $HOME
mkdir -p $HOME/pricefeeder $$ cd pricefeeder

wget https://storage.googleapis.com/pryzm-zone/feeder/config.yaml
wget https://storage.googleapis.com/pryzm-zone/feeder/init.sql
wget https://storage.googleapis.com/pryzm-zone/feeder/docker-compose.yml
```

**Download docker image**

```
docker pull europe-docker.pkg.dev/pryzm-zone/core/pryzm-feeder:0.3.4
docker pull timescale/timescaledb:2.13.0-pg16
```

**Create New Wallet For Przym Pricefeeder**

Save your price feeder wallet address and save mnemonic

```
pryzmd keys add pricefeeder
```

**Edit your config.yml**

```
nano config.yml
```

```
feeder: "pryzmxxxxxxx" # Filled with your pryzm pricefeeder wallet address (you may use validator address, but we choose create new one)
feederMnemonic: "" # Filled with your mnemonic pricefeeder wallet address
validator: "przymvaloperxxxxx" # Filled with your validator address
```

**Check Your Folder path is correctly**

Make sure you have correct this folder and file path

```
ls $HOME/pricefeeder
# config.yaml  docker-compose.yml  init.sql
```

**Add Balances**

fund your pricefeeder wallet address with faucet

> [Pryzm Faucet](https://testnet.pryzm.zone/faucet)

**Use the consent tx and link your validator address and feeder address together**

```
pryzmd tx oracle delegate-feed-consent [feeder-address] --fees 2000factory/pryzm15k9s9p0ar0cx27nayrgk6vmhyec3lj7vkry7rx/uusdsim,3000upryzm --from your-validator-wallet-address
```

**Run your Pricefeeder**

```
docker compose up -d
```

**Check your logs**

```
docker logs -f pryzm-feeder
```

```
[2023-12-21T10:32:28.166Z] databaseService info: service started
[2023-12-21T10:32:28.172Z] assetsHostChainMonitoringService info: service started
[2023-12-21T10:32:28.173Z] osmoMonitoringService info: service started
[2023-12-21T10:32:28.174Z] pryzmMonitoringService info: service started
[2023-12-21T10:32:28.175Z] icStakingHostChainMonitoringService info: service started
[2023-12-21T10:32:28.176Z] assetsPlugin info: plugin started
[2023-12-21T10:32:28.176Z] ammPlugin info: plugin started
[2023-12-21T10:32:28.176Z] icStakingPlugin info: plugin started
[2023-12-21T10:32:28.188Z] TelemetryServer info: ⚡️ express server is running at port: 2121
```

**Shutdown Pricefeeder**

```
docker compose down
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.konsortech.xyz/node/testnet/pryzm/pricefeeder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
